import{s as so,o as io,n as lo}from"../chunks/scheduler.25b97de1.js";import{S as mo,i as po,g as l,s as o,r as m,A as co,h as s,f as a,c as r,j as b,u as p,x as d,k as _,y as t,a as i,v as c,d as g,t as f,w as u,m as go,n as fo}from"../chunks/index.d9030fc9.js";import{T as no}from"../chunks/Tip.baa67368.js";import{D as $}from"../chunks/Docstring.ffac8efa.js";import{H as j,E as uo}from"../chunks/EditOnGithub.91d95064.js";function ho(Se){let h,I=`For best performance, this data collator should be used with a dataset having items that are dictionaries or
BatchEncoding, with the <code>&quot;special_tokens_mask&quot;</code> key, as returned by a <a href="/docs/transformers/pr_30803/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or a
<a href="/docs/transformers/pr_30803/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a> with the argument <code>return_special_tokens_mask=True</code>.`,y,w,W="<li><p>Default Behavior:</p> <ul><li><code>mask_replace_prob=0.8</code>, <code>random_replace_prob=0.1</code>.</li> <li>Expect 80% of masked tokens replaced with <code>[MASK]</code>, 10% replaced with random tokens, and 10% left unchanged.</li></ul></li> <li><p>All masked tokens replaced by <code>[MASK]</code>:</p> <ul><li><code>mask_replace_prob=1.0</code>, <code>random_replace_prob=0.0</code>.</li> <li>Expect all masked tokens to be replaced with <code>[MASK]</code>. No tokens are left unchanged or replaced with random tokens.</li></ul></li> <li><p>No <code>[MASK]</code> replacement, only random tokens:</p> <ul><li><code>mask_replace_prob=0.0</code>, <code>random_replace_prob=1.0</code>.</li> <li>Expect all masked tokens to be replaced with random tokens. No <code>[MASK]</code> replacements or unchanged tokens.</li></ul></li> <li><p>Balanced replacement:</p> <ul><li><code>mask_replace_prob=0.5</code>, <code>random_replace_prob=0.4</code>.</li> <li>Expect 50% of masked tokens replaced with <code>[MASK]</code>, 40% replaced with random tokens, and 10% left unchanged.</li></ul></li>",N,T,dt=`Note:
The sum of <code>mask_replace_prob</code> and <code>random_replace_prob</code> must not exceed 1. If their sum is less than 1, the
remaining proportion will consist of masked tokens left unchanged.`;return{c(){h=l("p"),h.innerHTML=I,y=go(`
<Example Options and Expectations>
`),w=l("ol"),w.innerHTML=W,N=o(),T=l("p"),T.innerHTML=dt},l(k){h=s(k,"P",{"data-svelte-h":!0}),d(h)!=="svelte-14cvys6"&&(h.innerHTML=I),y=fo(k,`
<Example Options and Expectations>
`),w=s(k,"OL",{"data-svelte-h":!0}),d(w)!=="svelte-14xwpjc"&&(w.innerHTML=W),N=r(k),T=s(k,"P",{"data-svelte-h":!0}),d(T)!=="svelte-10bg7dp"&&(T.innerHTML=dt)},m(k,L){i(k,h,L),i(k,y,L),i(k,w,L),i(k,N,L),i(k,T,L)},p:lo,d(k){k&&(a(h),a(y),a(w),a(N),a(T))}}}function _o(Se){let h,I=`This collator relies on details of the implementation of subword tokenization by <a href="/docs/transformers/pr_30803/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>, specifically
that subword tokens are prefixed with <em>##</em>. For tokenizers that do not adhere to this scheme, this collator will
produce an output that is roughly equivalent to <code>.DataCollatorForLanguageModeling</code>.`;return{c(){h=l("p"),h.innerHTML=I},l(y){h=s(y,"P",{"data-svelte-h":!0}),d(h)!=="svelte-1pbs3jd"&&(h.innerHTML=I)},m(y,w){i(y,h,w)},p:lo,d(y){y&&a(h)}}}function bo(Se){let h,I,y,w,W,N,T,dt=`Data collators are objects that will form a batch by using a list of dataset elements as input. These elements are of
the same type as the elements of <code>train_dataset</code> or <code>eval_dataset</code>.`,k,L,Pa=`To be able to build batches, data collators may apply some processing (like padding). Some of them (like
<a href="/docs/transformers/pr_30803/en/main_classes/data_collator#transformers.DataCollatorForLanguageModeling">DataCollatorForLanguageModeling</a>) also apply some random data augmentation (like random masking)
on the formed batch.`,pt,ee,La='Examples of use can be found in the <a href="../examples">example scripts</a> or <a href="../notebooks">example notebooks</a>.',ct,te,gt,M,ae,Nt,qe,Ma=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Ot,ze,Fa="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Kt,Ae,Sa=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,ft,oe,ut,D,re,Bt,Ie,qa=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Ut,We,za="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Rt,Ee,Aa=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,Gt,He,Ia=`This is an object (like other data collators) rather than a pure function like default_data_collator. This can be
helpful if you need to set a return_tensors value at initialization.`,ht,ne,_t,O,le,Xt,Ve,Wa="Data collator that will dynamically pad the inputs received.",bt,se,vt,K,ie,Jt,je,Ea="Data collator that will dynamically pad the inputs received, as well as the labels.",kt,de,$t,B,me,Qt,Ne,Ha="Data collator that will dynamically pad the inputs received, as well as the labels.",xt,pe,Ct,x,ce,Yt,Oe,Va=`Data collator used for language modeling. Inputs are dynamically padded to the maximum length of a batch if they
are not all of the same length.`,Zt,U,ea,R,ge,ta,Ke,ja="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",aa,G,fe,oa,Be,Na="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",ra,X,ue,na,Ue,Oa="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",yt,he,Tt,v,_e,la,Re,Ka="Data collator used for language modeling that masks entire words.",sa,Ge,Ba="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for masked language modeling</li>",ia,J,da,Q,be,ma,Xe,Ua=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,pa,Y,ve,ca,Je,Ra=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,ga,Z,ke,fa,Qe,Ga=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,Dt,$e,wt,C,xe,ua,Ye,Xa="Data collator used for permutation language modeling.",ha,Ze,Ja="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for permutation language modeling with procedures specific to XLNet</li>",_a,E,Ce,ba,et,Qa="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",va,ye,Ya=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,ka,H,Te,$a,tt,Za="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",xa,De,eo=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,Ca,V,we,ya,at,to="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",Ta,Pe,ao=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,Pt,Le,Lt,z,Me,Da,ot,oo="Data collator used for padding free approach. Does the following:",wa,rt,ro="<li>concatate the entire mini batch into single long sequence [1, total_tokens]</li> <li>uses <code>separator_id</code> to separate sequences within the concatenated <code>labels</code>, default value is -100</li> <li>no padding will be added, returns <code>input_ids</code>, <code>labels</code> and <code>position_ids</code></li>",Mt,Fe,Ft,mt,St;return W=new j({props:{title:"Data Collator",local:"data-collator",headingTag:"h1"}}),te=new j({props:{title:"Default data collator",local:"transformers.default_data_collator",headingTag:"h2"}}),ae=new $({props:{name:"transformers.default_data_collator",anchor:"transformers.default_data_collator",parameters:[{name:"features",val:": typing.List[transformers.data.data_collator.InputDataClass]"},{name:"return_tensors",val:" = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L74"}}),oe=new j({props:{title:"DefaultDataCollator",local:"transformers.DefaultDataCollator",headingTag:"h2"}}),re=new $({props:{name:"class transformers.DefaultDataCollator",anchor:"transformers.DefaultDataCollator",parameters:[{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DefaultDataCollator.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L99"}}),ne=new j({props:{title:"DataCollatorWithPadding",local:"transformers.DataCollatorWithPadding",headingTag:"h2"}}),le=new $({props:{name:"class transformers.DataCollatorWithPadding",anchor:"transformers.DataCollatorWithPadding",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorWithPadding.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_30803/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_30803/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorWithPadding.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_30803/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorWithPadding.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorWithPadding.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.0 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorWithPadding.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L236"}}),se=new j({props:{title:"DataCollatorForTokenClassification",local:"transformers.DataCollatorForTokenClassification",headingTag:"h2"}}),ie=new $({props:{name:"class transformers.DataCollatorForTokenClassification",anchor:"transformers.DataCollatorForTokenClassification",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForTokenClassification.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_30803/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_30803/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForTokenClassification.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_30803/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForTokenClassification.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForTokenClassification.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.0 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForTokenClassification.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignore by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForTokenClassification.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L288"}}),de=new j({props:{title:"DataCollatorForSeq2Seq",local:"transformers.DataCollatorForSeq2Seq",headingTag:"h2"}}),me=new $({props:{name:"class transformers.DataCollatorForSeq2Seq",anchor:"transformers.DataCollatorForSeq2Seq",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"model",val:": typing.Optional[typing.Any] = None"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForSeq2Seq.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_30803/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_30803/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForSeq2Seq.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_30803/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a>, <em>optional</em>) &#x2014;
The model that is being trained. If set and has the <em>prepare_decoder_input_ids_from_labels</em>, use it to
prepare the <em>decoder_input_ids</em></p>
<p>This is useful when using <em>label_smoothing</em> to avoid calculating loss twice.`,name:"model"},{anchor:"transformers.DataCollatorForSeq2Seq.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_30803/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForSeq2Seq.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForSeq2Seq.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.0 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForSeq2Seq.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignored by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForSeq2Seq.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L543"}}),pe=new j({props:{title:"DataCollatorForLanguageModeling",local:"transformers.DataCollatorForLanguageModeling",headingTag:"h2"}}),ce=new $({props:{name:"class transformers.DataCollatorForLanguageModeling",anchor:"transformers.DataCollatorForLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"mask_replace_prob",val:": float = 0.8"},{name:"random_replace_prob",val:": float = 0.1"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForLanguageModeling.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_30803/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_30803/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm",description:`<strong>mlm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use masked language modeling. If set to <code>False</code>, the labels are the same as the inputs
with the padding tokens ignored (by setting them to -100). Otherwise, the labels are -100 for non-masked
tokens and the value to predict for the masked token.`,name:"mlm"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm_probability",description:`<strong>mlm_probability</strong> (<code>float</code>, <em>optional</em>, defaults to 0.15) &#x2014;
The probability with which to (randomly) mask tokens in the input, when <code>mlm</code> is set to <code>True</code>.`,name:"mlm_probability"},{anchor:"transformers.DataCollatorForLanguageModeling.mask_replace_prob",description:`<strong>mask_replace_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.8) &#x2014;
The probability with which masked tokens are replaced by the tokenizer&#x2019;s mask token (e.g., <code>[MASK]</code>).
Defaults to 0.8, meaning 80% of the masked tokens will be replaced with <code>[MASK]</code>.
Only works when <code>mlm</code> is set to <code>True</code>.`,name:"mask_replace_prob"},{anchor:"transformers.DataCollatorForLanguageModeling.random_replace_prob",description:`<strong>random_replace_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The probability with which masked tokens are replaced by random tokens from the tokenizer&#x2019;s vocabulary.
Defaults to 0.1, meaning 10% of the masked tokens will be replaced with random tokens. The remaining
masked tokens (1 - mask_replace_prob - random_replace_prob) are left unchanged.
Only works when <code>mlm</code> is set to <code>True</code>.`,name:"random_replace_prob"},{anchor:"transformers.DataCollatorForLanguageModeling.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set, will pad the sequence to a multiple of the provided value.`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForLanguageModeling.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L679"}}),U=new no({props:{$$slots:{default:[ho]},$$scope:{ctx:Se}}}),ge=new $({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L951"}}),fe=new $({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"vocab_size",val:""},{name:"mask_token_id",val:""},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L775"}}),ue=new $({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L881"}}),he=new j({props:{title:"DataCollatorForWholeWordMask",local:"transformers.DataCollatorForWholeWordMask",headingTag:"h2"}}),_e=new $({props:{name:"class transformers.DataCollatorForWholeWordMask",anchor:"transformers.DataCollatorForWholeWordMask",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"mask_replace_prob",val:": float = 0.8"},{name:"random_replace_prob",val:": float = 0.1"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L999"}}),J=new no({props:{$$slots:{default:[_o]},$$scope:{ctx:Se}}}),be=new $({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L1230"}}),ve=new $({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L1188"}}),ke=new $({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L1148"}}),$e=new j({props:{title:"DataCollatorForPermutationLanguageModeling",local:"transformers.DataCollatorForPermutationLanguageModeling",headingTag:"h2"}}),xe=new $({props:{name:"class transformers.DataCollatorForPermutationLanguageModeling",anchor:"transformers.DataCollatorForPermutationLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"plm_probability",val:": float = 0.16666666666666666"},{name:"max_span_length",val:": int = 5"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L1354"}}),Ce=new $({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L1595"}}),Te=new $({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L1488"}}),we=new $({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L1389"}}),Le=new j({props:{title:"DataCollatorWithFlattening",local:"transformers.DataCollatorWithFlattening",headingTag:"h2"}}),Me=new $({props:{name:"class transformers.DataCollatorWithFlattening",anchor:"transformers.DataCollatorWithFlattening",parameters:[{name:"*args",val:""},{name:"return_position_ids",val:" = True"},{name:"separator_id",val:" = -100"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_30803/src/transformers/data/data_collator.py#L1693"}}),Fe=new uo({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/main_classes/data_collator.md"}}),{c(){h=l("meta"),I=o(),y=l("p"),w=o(),m(W.$$.fragment),N=o(),T=l("p"),T.innerHTML=dt,k=o(),L=l("p"),L.innerHTML=Pa,pt=o(),ee=l("p"),ee.innerHTML=La,ct=o(),m(te.$$.fragment),gt=o(),M=l("div"),m(ae.$$.fragment),Nt=o(),qe=l("p"),qe.textContent=Ma,Ot=o(),ze=l("ul"),ze.innerHTML=Fa,Kt=o(),Ae=l("p"),Ae.textContent=Sa,ft=o(),m(oe.$$.fragment),ut=o(),D=l("div"),m(re.$$.fragment),Bt=o(),Ie=l("p"),Ie.textContent=qa,Ut=o(),We=l("ul"),We.innerHTML=za,Rt=o(),Ee=l("p"),Ee.textContent=Aa,Gt=o(),He=l("p"),He.textContent=Ia,ht=o(),m(ne.$$.fragment),_t=o(),O=l("div"),m(le.$$.fragment),Xt=o(),Ve=l("p"),Ve.textContent=Wa,bt=o(),m(se.$$.fragment),vt=o(),K=l("div"),m(ie.$$.fragment),Jt=o(),je=l("p"),je.textContent=Ea,kt=o(),m(de.$$.fragment),$t=o(),B=l("div"),m(me.$$.fragment),Qt=o(),Ne=l("p"),Ne.textContent=Ha,xt=o(),m(pe.$$.fragment),Ct=o(),x=l("div"),m(ce.$$.fragment),Yt=o(),Oe=l("p"),Oe.textContent=Va,Zt=o(),m(U.$$.fragment),ea=o(),R=l("div"),m(ge.$$.fragment),ta=o(),Ke=l("p"),Ke.textContent=ja,aa=o(),G=l("div"),m(fe.$$.fragment),oa=o(),Be=l("p"),Be.textContent=Na,ra=o(),X=l("div"),m(ue.$$.fragment),na=o(),Ue=l("p"),Ue.textContent=Oa,yt=o(),m(he.$$.fragment),Tt=o(),v=l("div"),m(_e.$$.fragment),la=o(),Re=l("p"),Re.textContent=Ka,sa=o(),Ge=l("ul"),Ge.innerHTML=Ba,ia=o(),m(J.$$.fragment),da=o(),Q=l("div"),m(be.$$.fragment),ma=o(),Xe=l("p"),Xe.textContent=Ua,pa=o(),Y=l("div"),m(ve.$$.fragment),ca=o(),Je=l("p"),Je.textContent=Ra,ga=o(),Z=l("div"),m(ke.$$.fragment),fa=o(),Qe=l("p"),Qe.textContent=Ga,Dt=o(),m($e.$$.fragment),wt=o(),C=l("div"),m(xe.$$.fragment),ua=o(),Ye=l("p"),Ye.textContent=Xa,ha=o(),Ze=l("ul"),Ze.innerHTML=Ja,_a=o(),E=l("div"),m(Ce.$$.fragment),ba=o(),et=l("p"),et.textContent=Qa,va=o(),ye=l("ol"),ye.innerHTML=Ya,ka=o(),H=l("div"),m(Te.$$.fragment),$a=o(),tt=l("p"),tt.textContent=Za,xa=o(),De=l("ol"),De.innerHTML=eo,Ca=o(),V=l("div"),m(we.$$.fragment),ya=o(),at=l("p"),at.textContent=to,Ta=o(),Pe=l("ol"),Pe.innerHTML=ao,Pt=o(),m(Le.$$.fragment),Lt=o(),z=l("div"),m(Me.$$.fragment),Da=o(),ot=l("p"),ot.textContent=oo,wa=o(),rt=l("ul"),rt.innerHTML=ro,Mt=o(),m(Fe.$$.fragment),Ft=o(),mt=l("p"),this.h()},l(e){const n=co("svelte-u9bgzb",document.head);h=s(n,"META",{name:!0,content:!0}),n.forEach(a),I=r(e),y=s(e,"P",{}),b(y).forEach(a),w=r(e),p(W.$$.fragment,e),N=r(e),T=s(e,"P",{"data-svelte-h":!0}),d(T)!=="svelte-1kxfoc9"&&(T.innerHTML=dt),k=r(e),L=s(e,"P",{"data-svelte-h":!0}),d(L)!=="svelte-rjmrsu"&&(L.innerHTML=Pa),pt=r(e),ee=s(e,"P",{"data-svelte-h":!0}),d(ee)!=="svelte-10kyi1a"&&(ee.innerHTML=La),ct=r(e),p(te.$$.fragment,e),gt=r(e),M=s(e,"DIV",{class:!0});var A=b(M);p(ae.$$.fragment,A),Nt=r(A),qe=s(A,"P",{"data-svelte-h":!0}),d(qe)!=="svelte-1hmsgsg"&&(qe.textContent=Ma),Ot=r(A),ze=s(A,"UL",{"data-svelte-h":!0}),d(ze)!=="svelte-1pq8qks"&&(ze.innerHTML=Fa),Kt=r(A),Ae=s(A,"P",{"data-svelte-h":!0}),d(Ae)!=="svelte-1vi1gug"&&(Ae.textContent=Sa),A.forEach(a),ft=r(e),p(oe.$$.fragment,e),ut=r(e),D=s(e,"DIV",{class:!0});var F=b(D);p(re.$$.fragment,F),Bt=r(F),Ie=s(F,"P",{"data-svelte-h":!0}),d(Ie)!=="svelte-1hmsgsg"&&(Ie.textContent=qa),Ut=r(F),We=s(F,"UL",{"data-svelte-h":!0}),d(We)!=="svelte-1pq8qks"&&(We.innerHTML=za),Rt=r(F),Ee=s(F,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-1vi1gug"&&(Ee.textContent=Aa),Gt=r(F),He=s(F,"P",{"data-svelte-h":!0}),d(He)!=="svelte-vfvbwr"&&(He.textContent=Ia),F.forEach(a),ht=r(e),p(ne.$$.fragment,e),_t=r(e),O=s(e,"DIV",{class:!0});var qt=b(O);p(le.$$.fragment,qt),Xt=r(qt),Ve=s(qt,"P",{"data-svelte-h":!0}),d(Ve)!=="svelte-1iebpai"&&(Ve.textContent=Wa),qt.forEach(a),bt=r(e),p(se.$$.fragment,e),vt=r(e),K=s(e,"DIV",{class:!0});var zt=b(K);p(ie.$$.fragment,zt),Jt=r(zt),je=s(zt,"P",{"data-svelte-h":!0}),d(je)!=="svelte-4uvw1w"&&(je.textContent=Ea),zt.forEach(a),kt=r(e),p(de.$$.fragment,e),$t=r(e),B=s(e,"DIV",{class:!0});var At=b(B);p(me.$$.fragment,At),Qt=r(At),Ne=s(At,"P",{"data-svelte-h":!0}),d(Ne)!=="svelte-4uvw1w"&&(Ne.textContent=Ha),At.forEach(a),xt=r(e),p(pe.$$.fragment,e),Ct=r(e),x=s(e,"DIV",{class:!0});var S=b(x);p(ce.$$.fragment,S),Yt=r(S),Oe=s(S,"P",{"data-svelte-h":!0}),d(Oe)!=="svelte-10km8jk"&&(Oe.textContent=Va),Zt=r(S),p(U.$$.fragment,S),ea=r(S),R=s(S,"DIV",{class:!0});var It=b(R);p(ge.$$.fragment,It),ta=r(It),Ke=s(It,"P",{"data-svelte-h":!0}),d(Ke)!=="svelte-iv4xqf"&&(Ke.textContent=ja),It.forEach(a),aa=r(S),G=s(S,"DIV",{class:!0});var Wt=b(G);p(fe.$$.fragment,Wt),oa=r(Wt),Be=s(Wt,"P",{"data-svelte-h":!0}),d(Be)!=="svelte-iv4xqf"&&(Be.textContent=Na),Wt.forEach(a),ra=r(S),X=s(S,"DIV",{class:!0});var Et=b(X);p(ue.$$.fragment,Et),na=r(Et),Ue=s(Et,"P",{"data-svelte-h":!0}),d(Ue)!=="svelte-iv4xqf"&&(Ue.textContent=Oa),Et.forEach(a),S.forEach(a),yt=r(e),p(he.$$.fragment,e),Tt=r(e),v=s(e,"DIV",{class:!0});var P=b(v);p(_e.$$.fragment,P),la=r(P),Re=s(P,"P",{"data-svelte-h":!0}),d(Re)!=="svelte-sjqk55"&&(Re.textContent=Ka),sa=r(P),Ge=s(P,"UL",{"data-svelte-h":!0}),d(Ge)!=="svelte-d2ozxj"&&(Ge.innerHTML=Ba),ia=r(P),p(J.$$.fragment,P),da=r(P),Q=s(P,"DIV",{class:!0});var Ht=b(Q);p(be.$$.fragment,Ht),ma=r(Ht),Xe=s(Ht,"P",{"data-svelte-h":!0}),d(Xe)!=="svelte-10msjh1"&&(Xe.textContent=Ua),Ht.forEach(a),pa=r(P),Y=s(P,"DIV",{class:!0});var Vt=b(Y);p(ve.$$.fragment,Vt),ca=r(Vt),Je=s(Vt,"P",{"data-svelte-h":!0}),d(Je)!=="svelte-10msjh1"&&(Je.textContent=Ra),Vt.forEach(a),ga=r(P),Z=s(P,"DIV",{class:!0});var jt=b(Z);p(ke.$$.fragment,jt),fa=r(jt),Qe=s(jt,"P",{"data-svelte-h":!0}),d(Qe)!=="svelte-10msjh1"&&(Qe.textContent=Ga),jt.forEach(a),P.forEach(a),Dt=r(e),p($e.$$.fragment,e),wt=r(e),C=s(e,"DIV",{class:!0});var q=b(C);p(xe.$$.fragment,q),ua=r(q),Ye=s(q,"P",{"data-svelte-h":!0}),d(Ye)!=="svelte-12inif1"&&(Ye.textContent=Xa),ha=r(q),Ze=s(q,"UL",{"data-svelte-h":!0}),d(Ze)!=="svelte-1t4qh7k"&&(Ze.innerHTML=Ja),_a=r(q),E=s(q,"DIV",{class:!0});var nt=b(E);p(Ce.$$.fragment,nt),ba=r(nt),et=s(nt,"P",{"data-svelte-h":!0}),d(et)!=="svelte-1u70phx"&&(et.textContent=Qa),va=r(nt),ye=s(nt,"OL",{start:!0,"data-svelte-h":!0}),d(ye)!=="svelte-1r6jrbi"&&(ye.innerHTML=Ya),nt.forEach(a),ka=r(q),H=s(q,"DIV",{class:!0});var lt=b(H);p(Te.$$.fragment,lt),$a=r(lt),tt=s(lt,"P",{"data-svelte-h":!0}),d(tt)!=="svelte-1u70phx"&&(tt.textContent=Za),xa=r(lt),De=s(lt,"OL",{start:!0,"data-svelte-h":!0}),d(De)!=="svelte-1r6jrbi"&&(De.innerHTML=eo),lt.forEach(a),Ca=r(q),V=s(q,"DIV",{class:!0});var st=b(V);p(we.$$.fragment,st),ya=r(st),at=s(st,"P",{"data-svelte-h":!0}),d(at)!=="svelte-1u70phx"&&(at.textContent=to),Ta=r(st),Pe=s(st,"OL",{start:!0,"data-svelte-h":!0}),d(Pe)!=="svelte-1r6jrbi"&&(Pe.innerHTML=ao),st.forEach(a),q.forEach(a),Pt=r(e),p(Le.$$.fragment,e),Lt=r(e),z=s(e,"DIV",{class:!0});var it=b(z);p(Me.$$.fragment,it),Da=r(it),ot=s(it,"P",{"data-svelte-h":!0}),d(ot)!=="svelte-4gb9ju"&&(ot.textContent=oo),wa=r(it),rt=s(it,"UL",{"data-svelte-h":!0}),d(rt)!=="svelte-1w5rvhw"&&(rt.innerHTML=ro),it.forEach(a),Mt=r(e),p(Fe.$$.fragment,e),Ft=r(e),mt=s(e,"P",{}),b(mt).forEach(a),this.h()},h(){_(h,"name","hf:doc:metadata"),_(h,"content",vo),_(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ye,"start","0"),_(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(De,"start","0"),_(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Pe,"start","0"),_(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){t(document.head,h),i(e,I,n),i(e,y,n),i(e,w,n),c(W,e,n),i(e,N,n),i(e,T,n),i(e,k,n),i(e,L,n),i(e,pt,n),i(e,ee,n),i(e,ct,n),c(te,e,n),i(e,gt,n),i(e,M,n),c(ae,M,null),t(M,Nt),t(M,qe),t(M,Ot),t(M,ze),t(M,Kt),t(M,Ae),i(e,ft,n),c(oe,e,n),i(e,ut,n),i(e,D,n),c(re,D,null),t(D,Bt),t(D,Ie),t(D,Ut),t(D,We),t(D,Rt),t(D,Ee),t(D,Gt),t(D,He),i(e,ht,n),c(ne,e,n),i(e,_t,n),i(e,O,n),c(le,O,null),t(O,Xt),t(O,Ve),i(e,bt,n),c(se,e,n),i(e,vt,n),i(e,K,n),c(ie,K,null),t(K,Jt),t(K,je),i(e,kt,n),c(de,e,n),i(e,$t,n),i(e,B,n),c(me,B,null),t(B,Qt),t(B,Ne),i(e,xt,n),c(pe,e,n),i(e,Ct,n),i(e,x,n),c(ce,x,null),t(x,Yt),t(x,Oe),t(x,Zt),c(U,x,null),t(x,ea),t(x,R),c(ge,R,null),t(R,ta),t(R,Ke),t(x,aa),t(x,G),c(fe,G,null),t(G,oa),t(G,Be),t(x,ra),t(x,X),c(ue,X,null),t(X,na),t(X,Ue),i(e,yt,n),c(he,e,n),i(e,Tt,n),i(e,v,n),c(_e,v,null),t(v,la),t(v,Re),t(v,sa),t(v,Ge),t(v,ia),c(J,v,null),t(v,da),t(v,Q),c(be,Q,null),t(Q,ma),t(Q,Xe),t(v,pa),t(v,Y),c(ve,Y,null),t(Y,ca),t(Y,Je),t(v,ga),t(v,Z),c(ke,Z,null),t(Z,fa),t(Z,Qe),i(e,Dt,n),c($e,e,n),i(e,wt,n),i(e,C,n),c(xe,C,null),t(C,ua),t(C,Ye),t(C,ha),t(C,Ze),t(C,_a),t(C,E),c(Ce,E,null),t(E,ba),t(E,et),t(E,va),t(E,ye),t(C,ka),t(C,H),c(Te,H,null),t(H,$a),t(H,tt),t(H,xa),t(H,De),t(C,Ca),t(C,V),c(we,V,null),t(V,ya),t(V,at),t(V,Ta),t(V,Pe),i(e,Pt,n),c(Le,e,n),i(e,Lt,n),i(e,z,n),c(Me,z,null),t(z,Da),t(z,ot),t(z,wa),t(z,rt),i(e,Mt,n),c(Fe,e,n),i(e,Ft,n),i(e,mt,n),St=!0},p(e,[n]){const A={};n&2&&(A.$$scope={dirty:n,ctx:e}),U.$set(A);const F={};n&2&&(F.$$scope={dirty:n,ctx:e}),J.$set(F)},i(e){St||(g(W.$$.fragment,e),g(te.$$.fragment,e),g(ae.$$.fragment,e),g(oe.$$.fragment,e),g(re.$$.fragment,e),g(ne.$$.fragment,e),g(le.$$.fragment,e),g(se.$$.fragment,e),g(ie.$$.fragment,e),g(de.$$.fragment,e),g(me.$$.fragment,e),g(pe.$$.fragment,e),g(ce.$$.fragment,e),g(U.$$.fragment,e),g(ge.$$.fragment,e),g(fe.$$.fragment,e),g(ue.$$.fragment,e),g(he.$$.fragment,e),g(_e.$$.fragment,e),g(J.$$.fragment,e),g(be.$$.fragment,e),g(ve.$$.fragment,e),g(ke.$$.fragment,e),g($e.$$.fragment,e),g(xe.$$.fragment,e),g(Ce.$$.fragment,e),g(Te.$$.fragment,e),g(we.$$.fragment,e),g(Le.$$.fragment,e),g(Me.$$.fragment,e),g(Fe.$$.fragment,e),St=!0)},o(e){f(W.$$.fragment,e),f(te.$$.fragment,e),f(ae.$$.fragment,e),f(oe.$$.fragment,e),f(re.$$.fragment,e),f(ne.$$.fragment,e),f(le.$$.fragment,e),f(se.$$.fragment,e),f(ie.$$.fragment,e),f(de.$$.fragment,e),f(me.$$.fragment,e),f(pe.$$.fragment,e),f(ce.$$.fragment,e),f(U.$$.fragment,e),f(ge.$$.fragment,e),f(fe.$$.fragment,e),f(ue.$$.fragment,e),f(he.$$.fragment,e),f(_e.$$.fragment,e),f(J.$$.fragment,e),f(be.$$.fragment,e),f(ve.$$.fragment,e),f(ke.$$.fragment,e),f($e.$$.fragment,e),f(xe.$$.fragment,e),f(Ce.$$.fragment,e),f(Te.$$.fragment,e),f(we.$$.fragment,e),f(Le.$$.fragment,e),f(Me.$$.fragment,e),f(Fe.$$.fragment,e),St=!1},d(e){e&&(a(I),a(y),a(w),a(N),a(T),a(k),a(L),a(pt),a(ee),a(ct),a(gt),a(M),a(ft),a(ut),a(D),a(ht),a(_t),a(O),a(bt),a(vt),a(K),a(kt),a($t),a(B),a(xt),a(Ct),a(x),a(yt),a(Tt),a(v),a(Dt),a(wt),a(C),a(Pt),a(Lt),a(z),a(Mt),a(Ft),a(mt)),a(h),u(W,e),u(te,e),u(ae),u(oe,e),u(re),u(ne,e),u(le),u(se,e),u(ie),u(de,e),u(me),u(pe,e),u(ce),u(U),u(ge),u(fe),u(ue),u(he,e),u(_e),u(J),u(be),u(ve),u(ke),u($e,e),u(xe),u(Ce),u(Te),u(we),u(Le,e),u(Me),u(Fe,e)}}}const vo='{"title":"Data Collator","local":"data-collator","sections":[{"title":"Default data collator","local":"transformers.default_data_collator","sections":[],"depth":2},{"title":"DefaultDataCollator","local":"transformers.DefaultDataCollator","sections":[],"depth":2},{"title":"DataCollatorWithPadding","local":"transformers.DataCollatorWithPadding","sections":[],"depth":2},{"title":"DataCollatorForTokenClassification","local":"transformers.DataCollatorForTokenClassification","sections":[],"depth":2},{"title":"DataCollatorForSeq2Seq","local":"transformers.DataCollatorForSeq2Seq","sections":[],"depth":2},{"title":"DataCollatorForLanguageModeling","local":"transformers.DataCollatorForLanguageModeling","sections":[],"depth":2},{"title":"DataCollatorForWholeWordMask","local":"transformers.DataCollatorForWholeWordMask","sections":[],"depth":2},{"title":"DataCollatorForPermutationLanguageModeling","local":"transformers.DataCollatorForPermutationLanguageModeling","sections":[],"depth":2},{"title":"DataCollatorWithFlattening","local":"transformers.DataCollatorWithFlattening","sections":[],"depth":2}],"depth":1}';function ko(Se){return io(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Do extends mo{constructor(h){super(),po(this,h,ko,bo,so,{})}}export{Do as component};
